/**
 *******************************************************************************
 * @file    tmpm374_enc_int.c
 * @brief   all interrupt request functions definition of ENC_Roller demo
 *          for the TOSHIBA 'TMPM374' Device Series 
 * @version V0.101
 * @date    2014/05/21
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */
/* Includes ------------------------------------------------------------------*/

#include "main.h"
volatile extern uint32_t g_flag;
volatile extern uint32_t enccount;

/**
  * @brief  ENC1 interrupt service routine
  * @param  None
  * @retval None
  */
void INTENC1_IRQHandler(void)
{
    if(g_flag == 1U){
        if(enccount < 30U){
            enccount++;
        } else {
            enccount = 10U;
        }
    } else {
        if(enccount > 10U){
            enccount--;
        } else {
            enccount = 30U;
        }
    }
}

/*********************************** END OF FILE ******************************/
