/**
 *******************************************************************************
 * @file    main.h
 * @brief   the application functions of OFD demo for the
 *          TOSHIBA 'TMPM376' Device Series
 * @version V0.101
 * @date    2014/05/21
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * (C)Copyright TOSHIBA ELECTRONIC DEVICES & STORAGE CORPORATION 2017 All rights reserved
 *******************************************************************************
 */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

/* Includes ------------------------------------------------------------------*/
#include "TMPM374.h"
#include "tmpm374_ofd.h"
#include "tmpm374_cg.h"
#include "led.h"
#define OFD_LOWER_COUNT  ((uint32_t)0x0EE)
#define OFD_HIGHER_COUNT ((uint32_t)0x1D9)

#define OFD_LOWER_COUNT_ABNORMAL  ((uint32_t)0x100)
#define OFD_HIGHER_COUNT_ABNORMAL ((uint32_t)0x101)
void SystemInit(void);

/* Watchdog Timer (WD) Configuration */
#define WD_SETUP    1
#define WDMOD_Val   (0x00000000UL)
#define WDCR_Val    (0x000000B1UL)

#define OSCCR_WUODR_MASK (0x000FFFFFUL)
#define OSCCR_WUODR_EXT  (0xFFF00000UL) /* OSCCR<WUPODR13:0> = MAX */
#define PLLSEL_Val  (0x0000A13FUL)
#define CKSEL_Val   (0x00000000UL)

#endif                          /* __MAIN_H */
